## GdlDockNotebook GdlDockNotebook — Arrange dock widgets in a tabbed notebook |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    struct              GdlDockNotebook;
    GtkWidget *         gdl_dock_notebook_new               (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GdlDockObject
                               +----GdlDockItem
                                     +----GdlDockNotebook

## Implemented Interfaces

GdlDockNotebook implements AtkImplementorIface and GtkBuildable.

## Properties

      "page"                     gint                  : Read / Write

## Description

A GdlDockNotebook is a compound dock widget. It can dock an unlimited number of widget displaying them in a notebook. This dock widget is normally created automatically when a child is docked in the center of another one. A GdlDockNotebook cannot contain other compound widgets, like a GdlDockPaned.

A GdlDockNotebook derives from GdlDockItem and contains a GdlSwitcher used to display all children.

## Details

### struct GdlDockNotebook

    struct GdlDockNotebook;

### gdl_dock_notebook_new ()

    GtkWidget *         gdl_dock_notebook_new               (void);

Creates a new manual GdlDockNotebook widget. This function is seldom useful as such widget is normally created and destroyed automatically when needed by the master.

Returns : | The newly created GdlDockNotebook.

## Property Details

### The `"page"` property

      "page"                     gint                  : Read / Write

The index of the current page.

Allowed values: >= -1

Default value: -1

## See Also

GdlDockPaned, GdlDockMaster, GdlSwitcher